org.keycloak.models.mongo.keycloak.entities

## Class MongoMigrationModelEntity

- java.lang.Object
- - org.keycloak.models.mongo.keycloak.entities.MongoMigrationModelEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="migrationModel")
      public class MongoMigrationModelEntity
      extends Object
      implements MongoIdentifiableEntity

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MIGRATION_MODEL_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoMigrationModelEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext invocationContext)` Lifecycle callback, which is called after removal of this object from Mongo.
    `String` | `getId()`
    `String` | `getVersion()`
    `void` | `setId(String id)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIGRATION_MODEL_ID

          public static final String MIGRATION_MODEL_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoMigrationModelEntity

          public MongoMigrationModelEntity()

  - ### Method Detail

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `MongoIdentifiableEntity`

    - #### setId

          public void setId(String id)

      Specified by:
        `setId` in interface `MongoIdentifiableEntity`

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext invocationContext)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2016 JBoss by Red Hat. All rights reserved.